import os

from fastapi import FastAPI
from tortoise.contrib.fastapi import register_tortoise


TORTOISE_ORM = {
    'connections': {'default': os.environ.get('database_url')},
    'apps': {
        'models': {
            'models': ['src.app.db.models.movie', 'aerich.models'],
            'default_connection': 'default',
        },
    },
}


def init_db(app: FastAPI) -> None:
    register_tortoise(
        app,
        config=TORTOISE_ORM,
        generate_schemas=True,
        add_exception_handlers=True,
)
