from tortoise import fields
from .base import BaseModel


class Director(BaseModel):
    first_name = fields.CharField(max_length=255)
    last_name = fields.CharField(max_length=255)
    born = fields.DateField()

    def __str__(self):
        return self.first_name


class Genre(BaseModel):
    name = fields.CharField(max_length=255)

    def __str__(self):
        return self.name


class Movie(BaseModel):
    name = fields.CharField(max_length=255)
    year = fields.IntField()
    country = fields.CharField(max_length=255)
    director = fields.ForeignKeyField(
        'models.Director', related_name='director_movies', on_delete=fields.OnDelete.CASCADE
    )
    genre = fields.ForeignKeyField(
        'models.Genre', related_name='genre_movies', on_delete=fields.OnDelete.CASCADE
    )
    description = fields.TextField()
    duration = fields.TimeField()

    def __str__(self):
        return self.name
