from tortoise import BaseDBAsyncClient


async def upgrade(db: BaseDBAsyncClient) -> str:
    return """
        CREATE TABLE IF NOT EXISTS "basemodel" (
    "id" SERIAL NOT NULL PRIMARY KEY,
    "created_at" TIMESTAMPTZ NOT NULL  DEFAULT CURRENT_TIMESTAMP,
    "updated_at" TIMESTAMPTZ NOT NULL  DEFAULT CURRENT_TIMESTAMP
);
        ALTER TABLE "director" ADD "created_at" TIMESTAMPTZ NOT NULL  DEFAULT CURRENT_TIMESTAMP;
        ALTER TABLE "director" ADD "updated_at" TIMESTAMPTZ NOT NULL  DEFAULT CURRENT_TIMESTAMP;
        ALTER TABLE "genre" ADD "created_at" TIMESTAMPTZ NOT NULL  DEFAULT CURRENT_TIMESTAMP;
        ALTER TABLE "genre" ADD "updated_at" TIMESTAMPTZ NOT NULL  DEFAULT CURRENT_TIMESTAMP;
        ALTER TABLE "movie" RENAME COLUMN "time" TO "duration";
        ALTER TABLE "movie" ADD "created_at" TIMESTAMPTZ NOT NULL  DEFAULT CURRENT_TIMESTAMP;
        ALTER TABLE "movie" ADD "updated_at" TIMESTAMPTZ NOT NULL  DEFAULT CURRENT_TIMESTAMP;"""


async def downgrade(db: BaseDBAsyncClient) -> str:
    return """
        ALTER TABLE "genre" DROP COLUMN "created_at";
        ALTER TABLE "genre" DROP COLUMN "updated_at";
        ALTER TABLE "movie" RENAME COLUMN "duration" TO "time";
        ALTER TABLE "movie" DROP COLUMN "created_at";
        ALTER TABLE "movie" DROP COLUMN "updated_at";
        ALTER TABLE "director" DROP COLUMN "created_at";
        ALTER TABLE "director" DROP COLUMN "updated_at";
        DROP TABLE IF EXISTS "basemodel";"""
